com.hazelcast.config

## Class WanReplicationRef

- java.lang.Object
- - com.hazelcast.config.WanReplicationRef

- All Implemented Interfaces:
    DataSerializable, Serializable
  Direct Known Subclasses:
    WanReplicationRefReadOnly

      public class WanReplicationRef
      extends Object
      implements DataSerializable, Serializable

  Configuration for Wan target replication reference
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WanReplicationRef()`
    `WanReplicationRef(String name, String mergePolicy, List<String> filters, boolean republishingEnabled)`
    `WanReplicationRef(WanReplicationRef ref)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `WanReplicationRef` | `addFilter(String filter)` Add class name implementing the CacheWanEventFilter or MapWanEventFilter for filtering WAN replication events.
    `boolean` | `equals(Object o)`
    `WanReplicationRefReadOnly` | `getAsReadOnly()` Deprecated. this method will be removed in 4.0; it is meant for internal usage only
    `List<String>` | `getFilters()` Return the list of class names implementing the CacheWanEventFilter or MapWanEventFilter for filtering WAN replication events.
    `String` | `getMergePolicy()`
    `String` | `getName()`
    `int` | `hashCode()`
    `boolean` | `isRepublishingEnabled()`
    `void` | `readData(ObjectDataInput in)` Reads fields from the input stream
    `WanReplicationRef` | `setFilters(List<String> filters)` Set the list of class names implementing the CacheWanEventFilter or MapWanEventFilter for filtering WAN replication events.
    `WanReplicationRef` | `setMergePolicy(String mergePolicy)`
    `WanReplicationRef` | `setName(String name)`
    `WanReplicationRef` | `setRepublishingEnabled(boolean republishEnabled)`
    `String` | `toString()`
    `void` | `writeData(ObjectDataOutput out)` Writes object fields to output stream

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WanReplicationRef

          public WanReplicationRef()

    - #### WanReplicationRef

          public WanReplicationRef(String name,
                                   String mergePolicy,
                                   List<String> filters,
                                   boolean republishingEnabled)

    - #### WanReplicationRef

          public WanReplicationRef(WanReplicationRef ref)

  - ### Method Detail

    - #### getAsReadOnly

          public WanReplicationRefReadOnly getAsReadOnly()

      Deprecated. this method will be removed in 4.0; it is meant for internal usage only
      Gets immutable version of this configuration.
      Returns:
        immutable version of this configuration

    - #### getName

          public String getName()

    - #### setName

          public WanReplicationRef setName(String name)

    - #### getMergePolicy

          public String getMergePolicy()

    - #### setMergePolicy

          public WanReplicationRef setMergePolicy(String mergePolicy)

    - #### addFilter

          public WanReplicationRef addFilter(String filter)

      Add class name implementing the CacheWanEventFilter or MapWanEventFilter for filtering WAN replication events. NOTE: EE only
      Parameters:
        `filter` - the class name
      Returns:
        this configuration

    - #### getFilters

          public List<String> getFilters()

      Return the list of class names implementing the CacheWanEventFilter or MapWanEventFilter for filtering WAN replication events. NOTE: EE only
      Returns:
        list of class names implementing the CacheWanEventFilter or MapWanEventFilter

    - #### setFilters

          public WanReplicationRef setFilters(List<String> filters)

      Set the list of class names implementing the CacheWanEventFilter or MapWanEventFilter for filtering WAN replication events. NOTE: EE only
      Parameters:
        `filters` - the list of class names implementing CacheWanEventFilter or MapWanEventFilter
      Returns:
        this configuration

    - #### isRepublishingEnabled

          public boolean isRepublishingEnabled()

    - #### setRepublishingEnabled

          public WanReplicationRef setRepublishingEnabled(boolean republishEnabled)

    - #### writeData

          public void writeData(ObjectDataOutput out)
                         throws IOException

      Description copied from interface: `DataSerializable`
      Writes object fields to output stream
      Specified by:
        `writeData` in interface `DataSerializable`
      Parameters:
        `out` - output
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the output stream has been closed.

    - #### readData

          public void readData(ObjectDataInput in)
                        throws IOException

      Description copied from interface: `DataSerializable`
      Reads fields from the input stream
      Specified by:
        `readData` in interface `DataSerializable`
      Parameters:
        `in` - input
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the input stream has been closed.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2018. All rights reserved.